# Configuration file

asm {
    # Disable CoFH TileEntity cache (and patch MineFactory Reloaded and Thermal Expansion with a workaround) [default: true]
    B:cofhWorldTransformer=true

    # Speedup LongInt HashMap [default: true]
    B:speedupLongIntHashMap=true

    # Speedup progressbar [default: true]
    B:speedupProgressBar=true

    # If using Bukkit/Thermos, the CraftServer package. [default: org.bukkit.craftbukkit.v1_7_R4.CraftServer]
    S:thermosCraftServerClass=org.bukkit.craftbukkit.v1_7_R4.CraftServer
}


debug {
    # Enable chunk save cme debugging code. [default: false]
    B:chunkSaveCMEDebug=false

    # Prints debug log if DimensionManager got crashed [default: true]
    B:dimensionManagerDebug=true

    # Enable GL state debug hooks. Will not do anything useful unless mode is changed to nonzero. [default: true]
    B:renderDebug=true

    # Default GL state debug mode. 0 - off, 1 - reduced, 2 - full [range: 0 ~ 2, default: 0]
    I:renderDebugMode=0
}


fixes {
    # Maximum hp for BetterHUD to render as hearts [range: 1 ~ 100000, default: 5000]
    I:betterHUDHPRenderLimit=5000

    # Modify the maximum NBT size limit when received as a network packet, to avoid large NBT-related crashes [default: true]
    B:changeMaxNetworkNbtSizeLimit=true

    # Removes duplicate Fermenter and Squeezer recipes and flower registration [default: true]
    B:deduplicateForestryCompatInBOP=true

    # Prevents Sacred Rubber Tree Generation [default: false]
    B:disableMassiveSacredTreeGeneration=false

    # Disable Witchery potion extender for Java 12 compat [default: true]
    B:disableWitcheryPotionExtender=true

    # Checks saved TileEntity coordinates earlier to provide a more descriptive error message [default: true]
    B:earlyChunkTileCoordinateCheck=true

    # Destroy and log TileEntities failing the safe coordinate instead of crashing the game (can cause loss of data) [default: false]
    B:earlyChunkTileCoordinateCheckDestructive=false

    # Enable multiple fixes to reduce RAM usage [default: true]
    B:enableMemoryFixes=true

    # Safely enlarge the potion array before other mods [default: true]
    B:enlargePotionArray=true

    # Fix BetterHUD armor bar rendering breaking with skulls [default: true]
    B:fixBetterHUDArmorDisplay=true

    # Fix BetterHUD freezing the game when trying to render high amounts of hp [default: true]
    B:fixBetterHUDHPDisplay=true

    # Fix Bibliocraft packet exploits [default: true]
    B:fixBibliocraftPackets=true

    # Fix Bibliocraft path sanitization [default: true]
    B:fixBibliocraftPathSanitization=true

    # Fix bogus FMLProxyPacket NPEs on integrated server crashes. [default: true]
    B:fixBogusIntegratedServerNPEs=true

    # Fix crash on Bukkit with BetterQuesting [default: true]
    B:fixBukkitBetterQuestingCrash=true

    # Fix the buttons not being centered in the GuiConfirmOpenLink [default: true]
    B:fixButtonsGuiConfirmOpenLink=true

    # Fix NPE when interacting with sugar block [default: true]
    B:fixCandycraftBlockSugarNPE=true

    # Fix the command handler not allowing you to run commands typed in any case [default: true]
    B:fixCaseCommands=true

    # Fix the vanilla method to open chat links not working for every OS [default: true]
    B:fixChatOpenLink=true

    # Fix wrapped chat lines missing colors [default: true]
    B:fixChatWrappedColors=true

    # Fix NPE in COFH's oredict [default: true]
    B:fixCofhOreDictNPE=true

    # Prevents crash if server sends container with wrong itemStack size [default: true]
    B:fixContainerPutStacksInSlots=true

    # Fixes the debug hitbox of the player beeing offset [default: true]
    B:fixDebugBoundingBox=true

    # Fix losing bonus hearts on dimension change [default: true]
    B:fixDimensionChangeHearts=true

    # Fix duplicate sounds from playing when closing a gui. [default: true]
    B:fixDuplicateSounds=true

    # Fix deleting stack when eating mushroom stew [default: true]
    B:fixEatingStackedStew=true

    # Fix a class name typo in MinecraftForge's initialize method [default: true]
    B:fixEffectRendererClassTypo=true

    # Fix enchantment levels not displaying properly above a certain value [default: true]
    B:fixEnchantmentNumerals=true

    # Disable ExtraTic's Integration with Metallurgy 3 Precious Materials Module: (Brass, Silver, Electrum & Platinum) [default: false]
    B:fixExtraTiCTEConflict=false

    # Fix Extra Utilities drums eating IC2 cells and Forestry capsules [default: true]
    B:fixExtraUtilitiesDrumEatingCells=true

    # Caps hotkey'd stacks to their maximum stack size in filing cabinets [default: true]
    B:fixExtraUtilitiesFilingCabinetDupe=true

    # Prevent hotkeying other items onto item filters while they are open [default: true]
    B:fixExtraUtilitiesFilterDupe=true

    # Prevent fluid retrieval node from voiding (Extra Utilities) [default: true]
    B:fixExtraUtilitiesFluidRetrievalNode=true

    # Fix Extra Utilities Lapis Caelestis microblocks rendering [default: true]
    B:fixExtraUtilitiesGreenscreenMicroblocks=true

    # Fixes rendering issues with transparent items from Extra Utilities [default: true]
    B:fixExtraUtilitiesItemRendering=true

    # Remove creatures from the Last Millenium (Extra Utilities) [default: true]
    B:fixExtraUtilitiesLastMilleniumCreatures=true

    # Remove rain from the Last Millenium (Extra Utilities) [default: true]
    B:fixExtraUtilitiesLastMilleniumRain=true

    # Fix dupe bug with Division Sigil removing enchantment [default: true]
    B:fixExtraUtilitiesUnEnchanting=true

    # Fix fence connections with other types of fence [default: true]
    B:fixFenceConnections=true

    # Fix vanilla fire spread sometimes cause NPE on thermos [default: true]
    B:fixFireSpread=true

    # Fix Forge fluid container registry key [default: true]
    B:fixFluidContainerRegistryKey=true

    # Replace recursion with iteration in FontRenderer line wrapping code [default: true]
    B:fixFontRendererLinewrapRecursion=true

    # Fix windowId being set on openContainer even if openGui failed [default: true]
    B:fixForgeOpenGuiHandlerWindowId=true

    # Fix the Forge update checker [default: true]
    B:fixForgeUpdateChecker=true

    # Fix vanilla issue where player sounds register as animal sounds [default: true]
    B:fixFriendlyCreatureSounds=true

    # Fix an array out of bounds caused by the GameSettings getKeyDisplayString method [default: true]
    B:fixGameSettingsArrayOutOfBounds=true

    # Fix vanilla light calculation sometimes cause NPE on thermos [default: true]
    B:fixGetBlockLightValue=true

    # Fix vanilla GL state bugs causing lighting glitches in various perspectives (MC-10135). [default: true]
    B:fixGlStateBugs=true

    # Fix Gliby's voice chat not shutting down its thread cleanly [default: true]
    B:fixGlibysVoiceChatThreadStop=false

    # Fix Game Over GUI buttons disabled if switching fullscreen [default: true]
    B:fixGuiGameOver=true

    # Fix arm not swinging when having too much haste [default: true]
    B:fixHasteArmSwing=true

    # Fix spiders, endermen and ender dragons being rendered too red when hit [default: true]
    B:fixHitEffectBrightness=true

    # Fix vanilla Hopper hit box [default: true]
    B:fixHopperHitBox=true

    # Fix Drawer + Hopper voiding items [default: true]
    B:fixHopperVoidingItems=true

    # Fix oversized chat message kicking player. [default: true]
    B:fixHugeChatKick=true

    # Fix Hunger Overhaul low stat effects [default: true]
    B:fixHungerOverhaul=true

    # Fix some items restore 0 hunger [default: true]
    B:fixHungerOverhaulRestore0Hunger=true

    # Fix lag caused by IC2 armor tick [default: true]
    B:fixIc2ArmorLag=true

    # Fix IC2 Crops trampling any types of farmland to dirt when sprinting [default: true]
    B:fixIc2CropTrampling=true

    # Fix IC2's direct inventory access [default: true]
    B:fixIc2DirectInventoryAccess=true

    # Fix IC2's armor hover mode [default: true]
    B:fixIc2HoverMode=true

    # Prevent IC2's nightvision from blinding you [default: true]
    B:fixIc2Nightvision=true

    # Fix IC2's reactor dupe [default: true]
    B:fixIc2ReactorDupe=false

    # Fix IC2 not loading translations from resource packs [default: true]
    B:fixIc2ResourcePackTranslation=true

    # Fixes various unchecked IC2 getBlock() methods [default: true]
    B:fixIc2UnprotectedGetBlock=true

    # Fix Axis aligned Bounding Box of Ignis Fruit [default: true]
    B:fixIgnisFruitAABB=true

    # Fix the bug that makes fireballs stop moving when chunk unloads [default: true]
    B:fixImmobileFireballs=true

    # Prevents journeymap from using illegal character in file paths [default: true]
    B:fixJourneymapFilePath=true

    # Fix jumpy scrolling in the waypoint manager screen [default: true]
    B:fixJourneymapJumpyScrolling=true

    # Prevent unbound keybinds from triggering when pressing certain keys [default: true]
    B:fixJourneymapKeybinds=true

    # Fix an overflow of the dimension id when a player logins on a server [default: true]
    B:fixLoginDimensionIDOverflow=false

    # Fixes the damage of the Thick Neutron Reflectors in the MT Core recipe (Advanced Solar Panels) [default: true]
    B:fixMTCoreRecipe=true

    # Fix not properly waking players if not everyone is sleeping [default: true]
    B:fixMorpheusWaking=true

    # Fix nametags of spiders, endermen and ender dragons being rendered too dark [default: true]
    B:fixNametagBrightness=true

    # Fix the temperature can go below absolute zero at very high place [default: true]
    B:fixNegativeKelvin=true

    # Allows the server to assign the logged in UUID to the same username when online_mode is false [default: true]
    B:fixNetHandlerLoginServerOfflineMode=false

    # Prevents crash if server sends itemStack with index larger than client's container [default: true]
    B:fixNetHandlerPlayClientHandleSetSlot=true

    # If fancy graphics are enabled, Nether Leaves render sides with other Nether Leaves adjacent too [default: true]
    B:fixNetherLeavesFaceRendering=true

    # Fix NPE in Netty's Bootstrap class [default: true]
    B:fixNettyNPE=false

    # Fix northwest bias on RandomPositionGenerator [default: true]
    B:fixNorthWestBias=true

    # Fix handling of null stacks in ItemWispEssence [default: true]
    B:fixNullHandlingItemWispEssence=true

    # Forces the chunk loading option from optifine to default since other values can crash the game [default: true]
    B:fixOptifineChunkLoadingCrash=true

    # Prevent tall grass and such to affect the perspective camera [default: true]
    B:fixPerspectiveCamera=true

    # Allow some mods to properly fetch the player skin [default: true]
    B:fixPlayerSkinFetching=false

    # Fix outdated URLs used in the PortalGun mod to download the sound pack [default: true]
    B:fixPortalGunURLs=true

    # Properly display level of potion effects in the inventory and on tooltips [default: true]
    B:fixPotionEffectNumerals=true

    # Fix crashes with ConcurrentModificationException because of incorrectly iterating over active potions [default: true]
    B:fixPotionIterating=true

    # Fix potions >= 128 [default: true]
    B:fixPotionLimit=true

    # Preserve the order of quads in terrain pass 1 [default: true]
    B:fixPreserveQuadOrder=true

    # Fix redstone torch leaking world [default: true]
    B:fixRedstoneTorchWorldLeak=true

    # Fix EffectRenderer and RenderGlobal leaking world instance when leaving world [default: true]
    B:fixRenderersWorldLeak=true

    # Fix game window becoming not resizable after toggling fullscrean in any way [default: true]
    B:fixResizableFullscreen=true

    # Fix resource pack folder not opening on Windows if file path has a space [default: true]
    B:fixResourcePackOpening=true

    # Fix forge command handler not checking for a / and also not running commands with any case [default: true]
    B:fixSlashCommands=true

    # Fix Thaumcraft Aspects being sorted by tag instead of by name [default: true]
    B:fixThaumcraftAspectSorting=true

    # Fix golem's marker loading failure when dimensionId larger than MAX_BYTE [default: true]
    B:fixThaumcraftGolemMarkerLoading=true

    # Fix Thaumcraft leaves frequent ticking [default: true]
    B:fixThaumcraftLeavesLag=true

    # Implement a proper hashing method for WorldCoordinates [default: true]
    B:fixThaumcraftWorldCoordinatesHashingMethod=true

    # Fix time commands with GC [default: true]
    B:fixTimeCommandWithGC=true

    # Fix too many allocations from Chunk Coordinate Int Pair [default: true]
    B:fixTooManyAllocationsChunkPositionIntPair=true

    # Fix exiting fullscreen when you tab out of the game [default: true]
    B:fixUnfocusedFullscreen=true

    # Fix URISyntaxException in forge. [default: true]
    B:fixUrlDetection=true

    # Fixes various unchecked vanilla getBlock() methods [default: true]
    B:fixVanillaUnprotectedGetBlock=true

    # Fixes village unchecked getBlock() calls [default: true]
    B:fixVillageUncheckedGetBlock=true

    # Fix some NullPointerExceptions [default: true]
    B:fixVoxelMapChunkNPE=true

    # Fix Y coordinate being off by one [default: true]
    B:fixVoxelMapYCoord=true

    # Fix Thaumcraft wand pedestal vis duplication [default: true]
    B:fixWandPedestalVisDuplication=true

    # Fixes Witchery player skins reflections with inhabited mirrors [default: true]
    B:fixWitcheryReflections=true

    # Fixes some potential errors in Witchery Rendering [default: true]
    B:fixWitcheryRendering=true

    # Enhanced Witchery Thunder Detection for rituals and Witch Hunters [default: true]
    B:fixWitcheryThunderDetection=true

    # Fix unprotected getBlock() in World [default: true]
    B:fixWorldGetBlock=true

    # Fix WorldServer leaking entities when no players are present in a dimension [default: true]
    B:fixWorldServerLeakingUnloadedEntities=true

    # Fixes the player entity dot rendering when arrow is chosen [default: true]
    B:fixXaerosMinimapEntityDot=true

    # Fix scrolling in the world map screen [default: true]
    B:fixXaerosWorldMapScroll=true

    # Fix ZTones packet exploits [default: true]
    B:fixZTonesPackets=true

    # Increase the maximum network packet size from the default of 2MiB [default: true]
    B:increasePacketSizeLimit=true

    # Stacks picked up per tick [range: 1 ~ 64, default: 36]
    I:itemStacksPickedUpPerTick=36

    # BiomesOPlenty Java 12 compatibility patches. [default: true]
    B:java12BopCompat=true

    # Immersive Engineering Java 12 compatibility patch [default: true]
    B:java12ImmersiveEngineeringCompat=true

    # Lotr Java 12 compatibility patch [default: true]
    B:java12LotrCompat=true

    # Minechem Java 12 compatibility patch [default: true]
    B:java12MineChemCompat=true

    # Limit the number of recursive cascading block updates during world generation to prevent stack overflow crashes, set to -1 to disable the limit. [range: -1 ~ 2147483647, default: 256]
    I:limitRecursiveBlockUpdateDepth=256

    # Log oversized chat message to console. WARNING: might create huge log files if this happens very often. [default: true]
    B:logHugeChat=false

    # Fix Volume Slider is ineffective until reaching the lower end [default: true]
    B:logarithmicVolumeControl=true

    # The maximum NBT size limit in bytes when received as a network packet, the vanilla value is 2097152 (2 MiB). [range: 1024 ~ 1073741824, default: 268435456]
    I:maxNetworkNbtSizeLimit=268435456

    # Optimize inventory access to IC2 nuclear reactor [default: true]
    B:optimizeIc2ReactorInventoryAccess=false

    # Fix too early light initialization [default: true]
    B:optimizeWorldUpdateLight=true

    # The maximum size limit in bytes of a network packet to accept, the vanilla value is 2097152 (2 MiB). [range: 1024 ~ 1073741824, default: 268435456]
    I:packetSizeLimit=268435456

    # Prevent crash with Thermal Dynamics from Negative Array Exceptions from item duct transfers [default: true]
    B:preventThermalDynamicsNASE=true

    # Spigot-style extended chunk format to remove the 2MB chunk size limit [default: true]
    B:remove2MBChunkLimit=true

    # Remove the BOP warning on first world generation (ignored when dreamcraft is present) [default: false]
    B:removeBOPWarning=true

    # Disable the creative search tab since it can be very laggy in large modpacks [default: true]
    B:removeCreativeSearchTab=false

    # Remove old/stale/outdated update checks. [default: true]
    B:removeUpdateChecks=true

    # Drastically speedup animated textures (Basically the same as with optifine animations off but animations are working) [default: true]
    B:speedupAnimations=true

    # Stop "You can only sleep at night" message filling the chat [default: true]
    B:squashBedErrorMessage=true

    # Limits the amount of times the ItemPickupEvent triggers per tick since it can lead to a lot of lag [default: true]
    B:throttleItemPickupEvent=true

    # Triggers all conflicting key bindings on key press instead of a random one [default: true]
    B:triggerAllConflictingKeybindings=true

    # Validate vanilla packet encodings before sending in addition to on reception [default: true]
    B:validatePacketEncodingBeforeSending=true

    # Should the extended packet validation error cause a crash (true) or just print out an error to the log (false) [default: false]
    B:validatePacketEncodingBeforeSendingShouldCrash=false
}


general {
}


speedups {
    # Removes hard caps on chunk handling speed. Experimental and probably incompatible with hybrid servers! [default: false]
    B:fastChunkHandling=false

    # Rewrites internal cache methods to be safer and faster. Experimental, use at your own risk! [default: false]
    B:fastIntCache=false

    # The maximum speed of chunkloading per player, in chunks/tick. High values may overload clients! Only active with fastChunkHandling.
    # For reference: Vanilla is 5, or 100 chunks/sec. At 32 render distance = 4225 chunks, loading the world would take 42.25 seconds. [range: 5 ~ 2147483647, default: 50]
    I:maxSendSpeed=50

    # The maximum speed of chunk unloading, in chunks/tick. High values may overload servers! Only active with fastChunkHandling.
    # For reference: Vanilla is 100, or 2000 chunks/sec. At 32 render distance = 4225 chunks, unloading the world would take 2.1125 seconds. [range: 100 ~ 2147483647, default: 220]
    I:maxUnloadSpeed=220

    # Optimize ASMDataTable getAnnotationsFor for faster startup [default: true]
    B:optimizeASMDataTable=true

    # Optimize texture loading [default: true]
    B:optimizeTextureLoading=true

    # Optimize tileEntity removal in World.class [default: true]
    B:optimizeTileentityRemoval=true

    # Replace reflection in VoxelMap to directly access the fields instead. [default: true]
    B:replaceVoxelMapReflection=true

    # Speedup biome fog rendering in BiomesOPlenty [default: true]
    B:speedupBOPFogHandling=true

    # Speedup ChunkCoordinates hashCode [default: true]
    B:speedupChunkCoordinatesHashCode=true

    # Speeds up ChunkProviderClient by removing chunkListing.  Note: Depends on asm.speedupLongIntHashMap [default: true]
    B:speedupChunkProviderClient=true

    # Speed up grass block random ticking [default: true]
    B:speedupGrassBlockRandomTicking=true

    # Speedup Vanilla Furnace recipe lookup [default: true]
    B:speedupVanillaFurnace=true

    # Sets TCP_NODELAY to true, reducing network latency in multiplayer. Works on server as well as client. From makamys/CoreTweaks [default: true]
    B:tcpNoDelay=true
}


tweaks {
    # Add CV support to Thaumcraft wand recharge pedestal [default: true]
    B:addCVSupportToWandPedestal=true

    # Adds a search bar to the mod config GUI [default: true]
    B:addModConfigSearchBar=true

    # Adds non-vanilla entities to the statistics [default: true]
    B:addModEntityStats=true

    # Adds non-vanilla blocks/items to the statistics [default: true]
    B:addModItemStats=true

    # Adds system info to the F3 overlay (Java version and vendor; GPU name; OpenGL version; CPU cores; OS name, version and architecture) [default: true]
    B:addSystemInfo=true

    # Add a debug message in the chat when toggling vanilla debug options [default: true]
    B:addToggleDebugMessage=false

    # Uses arabic numbers for enchantment levels and potion amplifier levels instead of roman numbers [default: false]
    B:arabicNumbersForEnchantsPotions=false

    # Minechem Atropine High (Delirium) effect ID [range: 1 ~ 255, default: 255]
    I:atropineHighID=255

    # Sets the interval for auto saves in ticks (20 ticks = 1 second) [range: 1 ~ 2147483647, default: 900]
    I:autoSaveInterval=900

    # Avoids droping items on container close, and instead places them in the player inventory. (Inspired from EFR) [default: true]
    B:avoidDroppingItemsWhenClosing=true

    # Show "cannot sleep" messages above hotbar [default: true]
    B:bedMessageAboveHotbar=true

    # Changes the file extension of VoxelMap's cache files from .zip to .data to stop the TechnicLauncher from deleting them when updating [default: true]
    B:changeCacheFileExtension=true

    # Moves the sprint keybind to the movement category [default: true]
    B:changeSprintCategory=true

    # Amount of chat lines kept (Vanilla: 100) [range: 100 ~ 32767, default: 8191]
    I:chatLength=8191

    # Compacts identical consecutive chat messages together [default: true]
    B:compactChat=true

    # Specify default LAN port to open an integrated server on. Set to 0 to always open the server on an automatically allocated port. [range: 0 ~ 65535, default: 25565]
    I:defaultLanPort=25565

    # Disables the spawn of zombie aid when zombie is killed by Extra Utilities Spikes, since it can spawn them too far. [default: true]
    B:disableAidSpawnByXUSpikes=true

    # Disable terrain generation for new generated chunks (all blocks become air, biomes remain) [default: false]
    B:disableChunkTerrainGeneration=false

    # Disable all extra mod chunk population for new generated chunks (e.g. Natura's clouds) [default: false]
    B:disableModdedChunkPopulation=false

    # Disable Minecraft Realms button on main menu [default: true]
    B:disableRealmsButton=true

    # Disable world type associated chunk population for new generated chunks (e.g. vanilla structures in Overworld) [default: false]
    B:disableWorldTypeChunkPopulation=false

    # Display fluid localized name in IC2 fluid cell tooltip [default: true]
    B:displayIc2FluidLocalizedName=true

    # Stop inverting colors of crosshair [default: false]
    B:dontInvertCrosshairColor=false

    # Drop picked loot on entity despawn [default: true]
    B:dropPickedLootOnDespawn=true

    # Open an integrated server on a static port. [default: true]
    B:enableDefaultLanPort=true

    # Use CMD key on MacOS to COPY / INSERT / SELECT in text fields (Chat, NEI, Server IP etc.) [default: true]
    B:enableMacosCmdShortcuts=true

    # Shows renderer's impact on FPS in vanilla lagometer [default: true]
    B:enableTileRendererProfiler=true

    # Remove the blueish sky tint from night vision [default: false]
    B:enhanceNightVision=true

    # No stats will be registered for these enties (e.g. because another mod already adds them) [default: [Mob], [Monster]]
    S:entityStatsExclusions <
        Mob
        Monster
     >

    # Ender Quarry RF Storage Override (ExU default value: 10000000) (0 to use default value) [range: 0 ~ 2147483647, default: 0]
    I:extraUtilitiesEnderQuarryOverride=0

    # Allows blocks to be placed at a faster rate (toggleable via keybind) [default: false]
    B:fastBlockPlacing=true

    # Allow players on your server to use fast block placement [default: true]
    B:fastBlockPlacingServerSide=true

    # Fix Project Red components popping off on unloaded chunks [default: true]
    B:fixComponentsPoppingOff=true

    # Fix hotbars being dark when Project Red is installed [default: true]
    B:fixHudLightingGlitch=true

    # Fix vanilla potion effects rendering above the NEI tooltips in the inventory [default: true]
    B:fixPotionEffectRender=true

    # Prevents the inventory from shifting when the player has active potion effects [default: true]
    B:fixPotionRenderOffset=true

    # Stops rendering the crosshair when you are playing in third person [default: true]
    B:hideCrosshairInThirdPerson=true

    # Prevent IC2's reactor's coolant slots from being accessed by automations if not a fluid reactor [default: true]
    B:hideIc2ReactorSlots=true

    # Stops rendering potion particles from yourself [default: true]
    B:hidePotionParticlesFromSelf=true

    # Give IC2 cells containers like GregTech cells do [default: true]
    B:ic2CellWithContainer=true

    # IC2 seed max stack size [range: 1 ~ 64, default: 64]
    I:ic2SeedMaxStackSize=64

    # Increase particle limit [default: true]
    B:increaseParticleLimit=true

    # Wake up passive & personal anchors on player login [default: true]
    B:installAnchorAlarm=false

    # Makes the chat history longer instead of 100 lines [default: true]
    B:longerChat=true

    # Allows you to send longer chat messages, up to 256 characters, instead of 100 in vanilla. [default: true]
    B:longerSentMessages=true

    # Allow 5 Fir Sapling planted together ('+' shape) to grow to a big fir tree [default: true]
    B:makeBigFirsPlantable=true

    # Adds pick block functionality to survival mode [default: true]
    B:modernPickBlock=true

    # Particle limit (Vanilla: 4000) [range: 4000 ~ 16000, default: 8000]
    I:particleLimit=4000

    # Prevent monsters from picking up loot. [default: true]
    B:preventPickupLoot=true

    # Adds a button in the sounds menu to reload the sound system without needing to press F3 + S [default: true]
    B:reloadSoundsButton=true

    # Remove the BOP quicksand generation [default: false]
    B:removeBOPQuicksandGeneration=false

    # Removes the 'GL error' message that appears when using a shader in Optifine/Shadersmod [default: true]
    B:removeOptifineGLErrors=true

    # Stop playing a sound when spawning a minecart in the world [default: true]
    B:removeSpawningMinecartSound=true

    # Sort Mob stats lexicographically (Requires addModEntityStats) [default: true]
    B:sortEntityStats=true

    # Implement container for thirsty tank [default: true]
    B:thirstyTankContainer=true

    # Doesn't render the black box behind messages when the chat is closed [default: true]
    B:transparentChat=false

    # Unbinds keybinds of certain ARR mods to avoid keybinds conflicts [default: true]
    B:unbindKeybindsByDefault=false

    # Reduces water opacity from 3 to 1, to match modern [default: false]
    B:useLighterWater=true
}


